This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1032848 - All timezone city names appear blank when installing in Asturian (20 Final TC2 desktop live)
All timezone city names appear blank when installing in Asturian (20 Final TC...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: langtable (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Mike FABIAN
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-20 21:26 EST by Adam Williamson
Modified: 2014-03-12 08:28 EDT (History)
7 users (show)

See Also:
Fixed In Version: langtable-0.0.24-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-12 08:25:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2013-11-20 21:26:38 EST
Here's a bizarre one: if I boot the F20 Final TC2 desktop live and set the language to Asturian, then on the hub, the date/time spoke simply says "timezone" (usually it should say "America/Vancouver timezone", or the translation of this). If I go into the spoke and open the 'City' dropdown, every entry on it appears blank. The text just isn't being rendered, for some reason.

In other languages (I'm going through every language on the list checking for bugs, so I've done all the ones above 'Asturian', plus English) it seems to work fine.
Comment 1 Adam Williamson 2013-11-20 21:27:14 EST
er, sorry, that should have said "if I boot the F20 Final TC2 desktop live, start the installer, and set the language to Asturian, then on the hub..." - i.e. I'm setting the language on the anaconda welcome screen, not outside of anaconda.
Comment 2 Adam Williamson 2013-11-20 21:27:59 EST
Also affects Belarusian.
Comment 3 David Shea 2014-02-21 14:44:08 EST
Huh. Weird!
Comment 4 David Shea 2014-02-23 14:30:58 EST
I think this one's a langtable bug. langtable.timezone_name is returning an empty string for most everything when languageIdQuery='ast'. I would think that langtable should return the untranslated string when no data is available, but I may be wrong on that. So, Mike, if this is the expected behavior assign to back to me and we can handle empty strings on anaconda's side. Thanks.
Comment 5 Mike FABIAN 2014-02-24 03:42:42 EST
Yes, I think this is a langtable bug.
Comment 6 Fedora Update System 2014-02-24 11:43:06 EST
langtable-0.0.24-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/langtable-0.0.24-1.fc19
Comment 7 Fedora Update System 2014-02-24 11:46:26 EST
langtable-0.0.24-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/langtable-0.0.24-1.fc20
Comment 8 Fedora Update System 2014-02-25 02:52:33 EST
Package langtable-0.0.24-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing langtable-0.0.24-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-3052/langtable-0.0.24-1.fc19
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2014-03-12 08:25:53 EDT
langtable-0.0.24-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2014-03-12 08:28:34 EDT
langtable-0.0.24-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.